跳转到内容

Wan 2.7 Reference to Video

集成

模型 id wan/v2.7/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.7/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.50 500 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Alibaba 参考图生视频 参考输入唇形同步2–10 秒最高 1080p #stylized#transform#lipsync

根据参考图像或片段生成保留主体的视频,支持多主体和多镜头选项

在 Doitong 上制作

Doitong 社区使用 Wan27 制作的公开作品。一键复用提示词。

显示的公开作品:2
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... 视频

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кух... 视频

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

要创建的视频描述,最多 5000 个字符。

duration 5 s

生成视频的时长,单位为秒,范围为 2 到 10。

aspect_ratio 默认 16:9

结果视频的宽高比。

resolution 默认 1080p

结果视频的分辨率级别。

高级 negative_prompt · images · reference_video_urls · seed · multi_shots · enable_safety_checker

视频应排除的内容,限制为 500 个字符。

reference_image_urls
拖放文件,或

定义角色或对象外观的图像 URL,每个文件限制为 20 MB。要生成多个主体,请提供多个参考图像。

拖放文件,或

定义角色或对象外观和运动方式的视频 URL;提供多个视频即可生成包含多个主体的内容。每个文件不得超过 100 MB 且时长不得超过 30 秒。

用于生成可复现结果的随机种子,范围为 0 到 2147483647。

POST /run/wan/v2.7/reference-to-video?wait=20 报价 → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.7/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Wan 2.7 Reference to Video

根据必需的文本提示词以及参考图像(`reference_image_urls`)和参考视频(`reference_video_urls`)生成视频,这些参考内容用于提供角色或物体外观。可组合多个参考内容以生成多主体场景。支持五种宽高比、720p 或 1080p,以及 2 到 10 秒的时长。将 `multi_shots` 设为 true 可将结果拆分为多个镜头,而不是一个连续镜头。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
要创建的视频描述,最多 5000 个字符。
reference_image_urls可选 images
类型url[] · image
定义角色或对象外观的图像 URL,每个文件限制为 20 MB。要生成多个主体,请提供多个参考图像。
reference_video_urls可选
类型url[] · video
定义角色或对象外观和运动方式的视频 URL;提供多个视频即可生成包含多个主体的内容。每个文件不得超过 100 MB 且时长不得超过 30 秒。
negative_prompt可选
类型string | null
视频应排除的内容,限制为 500 个字符。
aspect_ratio可选
类型enum
默认值16:9
16:99:161:14:33:4
结果视频的宽高比。
resolution可选
类型enum
默认值1080p
720p1080p
结果视频的分辨率级别。
duration可选
类型enum
默认值5
2345678910
生成视频的时长,单位为秒,范围为 2 到 10。
multi_shots可选
类型boolean
默认值false
镜头分段控制:默认值 false 会生成一个连续镜头,而 true 会启用智能分段,将内容拆分为多个镜头。
seed可选
类型integer | null
用于生成可复现结果的随机种子,范围为 0 到 2147483647。
enable_safety_checker可选
类型boolean
默认值true
对输入和输出进行审核;除非账户获得禁用权限且关闭该选项,否则每个请求都会执行审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.7/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成得到的视频文件。
seed
integer生成期间应用的种子值。
actual_prompt
string | null启用提示词重写时实际应用的提示词。

更多模型:参考图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/wan/v2.7/reference-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt